Bug 240701 - kernel claims that firmware is too old but it is not
kernel claims that firmware is too old but it is not
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 14:55 EDT by Bernard Johnson
Modified: 2008-05-06 21:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-05-20 14:55:39 EDT
Description of problem:
Kernel claims that firmware is too old but i is not:
May 20 12:39:11 localhost kernel: bcm43xx_mac80211: YOUR FIRMWARE IS TOO OLD. Fi
rmware from binary drivers older than version 4.x is unsupported. You must upgra
de your firmware files.

This is with firmware 4.0c.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3149.fc7

This does not happen with 2.6.21-1.3142.fc7.
Comment 1 Will Woods 2007-05-20 15:06:38 EDT
There are two drivers for bcm43xx, and as of kernel 3149 your device has been
claimed by the newer one. To use the newer driver, you need 4.x firmware or newer. 

You can get that firmware from one of the addresses listed in the README file
for bcm43xx-fwcutter, such as:
http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2

Comment 2 Bernard Johnson 2007-05-20 15:30:34 EDT
(In reply to comment #0)
> This is with firmware 4.0c.

(In reply to comment #1)
> To use the newer driver, you need 4.x firmware or newer. 

Is 4.0c considered < 4.x ??

I'm using the firmware that came with my laptop:
http://h10025.www1.hp.com/ewfrf/wc/softwareDownloadIndex?softwareitem=ob-31559-1&lc=en&cc=us&dlc=en&os=228&product=3223624&lang=en
Comment 3 Bernard Johnson 2007-11-11 17:57:32 EST
Will-

As a followup, I was able to load and use the firmware that you pointed me to
briefly, until the kernel updated to the b43legacy driver.  The b43legacy driver
forces me back down the to the v3 firmware that I was previously using(*).

I'd like to close this and chalk it to up to "transitional disinformation".

* It appears that the firmware I was previously using was possibly v3, but the
download for it listed it as v4.
Comment 4 Bug Zapper 2008-04-03 20:48:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:46:37 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.